#include <stdio.h>
#include <stdlib.h>
#include <string.h>
int main()
{
    int n,m;
    char *t=malloc(200001*sizeof(char));
    char *s=malloc(11*sizeof(char));
    scanf("%s",t);
    scanf("%s",s);
    n=strlen(t);
    m=strlen(s);
    int b=0;
    if(m==2&&s[0]!=s[1])
    {

    }
    else if(m==3&&s[0]!=s[1]&&s[2]!=s[1]&&s[0]!=s[2])
    {

    }
    else
    {
        int a=m-1;
        for(int c=0;c<n;c++)
        {
            if(t[c]=='a')
            {
                a--;
                if(a<0)
                {
                    t[c]=42;
                }
            }
        }
        if(a>0)a=0;
        printf("%d\n%s",-a,t);
    }
}